osl::PtypeTraits< PPAWN > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< PPAWN > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =true
static const Ptype | moveType =GOLD
static const int | moveMask =PtypeTraits<GOLD>::moveMask
static const Ptype | basicType =PAWN
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

### template<>
struct osl::PtypeTraits< PPAWN >

Definition at line 79 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< PPAWN >::csaName | ( | ) |  |
| inlinestatic

Definition at line 87 of file ptypeTraits.h.

static const char* osl::PtypeTraits< PPAWN >::name | ( | ) |  |
| inlinestatic

Definition at line 86 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< PPAWN >::basicType =PAWN
| static

Definition at line 89 of file ptypeTraits.h.

const bool osl::PtypeTraits< PPAWN >::betterToPromote =true
| static

Definition at line 84 of file ptypeTraits.h.

const bool osl::PtypeTraits< PPAWN >::canPromote =false
| static

Definition at line 82 of file ptypeTraits.h.

const int osl::PtypeTraits< PPAWN >::indexMin =PtypeTraits<basicType>::indexMin
| static

Definition at line 90 of file ptypeTraits.h.

const bool osl::PtypeTraits< PPAWN >::isBasic =false
| static

Definition at line 81 of file ptypeTraits.h.

const int osl::PtypeTraits< PPAWN >::moveMask =PtypeTraits<GOLD>::moveMask
| static

Definition at line 88 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< PPAWN >::moveType =GOLD
| static

Definition at line 85 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h